Upstream information

CVE-2019-12086 at MITRE

Description

A Polymorphic Typing issue was discovered in FasterXML jackson-databind 2.x before 2.9.9. When Default Typing is enabled (either globally or for a specific property) for an externally exposed JSON endpoint, the service has the mysql-connector-java jar (8.0.14 or earlier) in the classpath, and an attacker can host a crafted MySQL server reachable by the victim, an attacker can send a crafted JSON message that allows them to read arbitrary local files on the server. This occurs because of missing com.mysql.cj.jdbc.admin.MiniAdmin validation.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entry: 1202327 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Development Tools 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • jackson-databind >= 2.10.5.1-3.3.2
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP3 GA jackson-databind-2.10.5.1-3.3.2
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Development Tools 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • jackson-databind >= 2.10.2-1.74
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP2 GA jackson-databind-2.10.2-1.74
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • jackson-databind >= 2.10.5.1-3.5.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA jackson-databind-2.10.5.1-3.5.1
openSUSE Tumbleweed
  • jackson-databind >= 2.10.5.1-2.2
  • jackson-databind-javadoc >= 2.10.5.1-2.2
Patchnames:
openSUSE Tumbleweed GA jackson-databind-2.10.5.1-2.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 jackson-databind Affected
SUSE Enterprise Storage 7.1 jackson-databind Affected
SUSE Linux Enterprise Desktop 15 SP4 jackson-databind Affected
SUSE Linux Enterprise Desktop 15 SP5 jackson-databind Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 jackson-databind Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 jackson-databind Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP4 jackson-databind Affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 jackson-databind Unsupported
SUSE Linux Enterprise Real Time 15 SP3 jackson-databind Affected
SUSE Linux Enterprise Server 15 SP4 jackson-databind Affected
SUSE Linux Enterprise Server 15 SP5 jackson-databind Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 jackson-databind Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 jackson-databind Unsupported
SUSE Manager Proxy 4.2 jackson-databind Affected
SUSE Manager Proxy 4.3 jackson-databind Affected
SUSE Manager Retail Branch Server 4.2 jackson-databind Affected
SUSE Manager Retail Branch Server 4.3 jackson-databind Affected
SUSE Manager Server 4.2 jackson-databind Affected
SUSE Manager Server 4.3 jackson-databind Affected
SUSE Manager Server Module 4.3 jackson-databind Unsupported
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 jackson-databind Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS jackson-databind Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS jackson-databind Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 jackson-databind Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS jackson-databind Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS jackson-databind Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 jackson-databind Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP2 jackson-databind Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 jackson-databind Unsupported
SUSE Linux Enterprise Server 15 SP2 jackson-databind Affected
SUSE Linux Enterprise Server 15 SP2-LTSS jackson-databind Unsupported
SUSE Linux Enterprise Server 15 SP3 jackson-databind Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS jackson-databind Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 jackson-databind Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 jackson-databind Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 jackson-databind Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 SP2 jackson-databind Affected
SUSE Linux Enterprise Desktop 15 SP3 jackson-databind Unsupported
SUSE Linux Enterprise Real Time 15 SP2 jackson-databind Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL jackson-databind Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL jackson-databind Unsupported
SUSE Manager Proxy 4.1 jackson-databind Affected
SUSE Manager Retail Branch Server 4.1 jackson-databind Affected
SUSE Manager Server 4.1 jackson-databind Affected


SUSE Timeline for this CVE

CVE page created: Fri May 17 21:39:24 2019
CVE page last modified: Wed May 17 18:15:40 2023